Skip to content

Retrieve companies

Request

You can fetch a single company by passing in company_id or name.

https://api.intercom.io/companies?name={name}

https://api.intercom.io/companies?company_id={company_id}

You can fetch all companies and filter by segment_id or tag_id as a query parameter.

https://api.intercom.io/companies?tag_id={tag_id}

https://api.intercom.io/companies?segment_id={segment_id}

Security
bearerAuth
Query
namestring

The name of the company to filter by.

Example:name=my company
company_idstring

The company_id of the company to filter by.

Example:company_id=12345
tag_idstring

The tag_id of the company to filter by.

Example:tag_id=678910
segment_idstring

The segment_id of the company to filter by.

Example:segment_id=98765
pageinteger

The page of results to fetch. Defaults to first page

Example:page=1
per_pageinteger

How many results to display per page. Defaults to 15

Example:per_page=15
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  'https://api.intercom.io/companies?name=my%20company&company_id=12345&tag_id=678910&segment_id=98765&page=1&per_page=15' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Successful

Bodyapplication/json
typestring

The type of object - list.

Value:"list"
Example:"list"
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

total_countinteger

The total number of companies.

Example:100
dataArray of objects(Company)

An array containing Company Objects.

Response
{ "type": "list", "data": [ {} ], "pages": { "type": "pages", "next": null, "page": 1, "per_page": 15, "total_pages": 1 }, "total_count": 1 }